public static interface GoogleMailEndpointBuilderFactory.GoogleMailBuilders
| Modifier and Type | Method and Description |
|---|---|
default GoogleMailEndpointBuilderFactory.GoogleMailEndpointBuilder |
googleMail(String path)
Google Mail (camel-google-mail)
Manage messages in Google Mail.
|
default GoogleMailEndpointBuilderFactory.GoogleMailEndpointBuilder |
googleMail(String componentName,
String path)
Google Mail (camel-google-mail)
Manage messages in Google Mail.
|
default GoogleMailEndpointBuilderFactory.GoogleMailEndpointBuilder googleMail(String path)
google-mail:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 7 enums and the value can be one of: THREADS, MESSAGES,
ATTACHMENTS, LABELS, HISTORY, DRAFTS, USERS
Path parameter: methodName (required)
What sub operation to use for the selected operation
There are 16 enums and the value can be one of: attachments, create,
delete, get, getProfile, gmailImport, insert, list, modify, patch,
send, stop, trash, untrash, update, watchpath - apiName/methodNamedefault GoogleMailEndpointBuilderFactory.GoogleMailEndpointBuilder googleMail(String componentName, String path)
google-mail:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 7 enums and the value can be one of: THREADS, MESSAGES,
ATTACHMENTS, LABELS, HISTORY, DRAFTS, USERS
Path parameter: methodName (required)
What sub operation to use for the selected operation
There are 16 enums and the value can be one of: attachments, create,
delete, get, getProfile, gmailImport, insert, list, modify, patch,
send, stop, trash, untrash, update, watchcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel